View Issue Details

IDProjectCategoryView StatusLast Update
0002221Ham Radio DeluxeBugpublic2017-09-18 00:08
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version6.4.0.780 
Target VersionFixed in Version6.4.0.787 
Summary0002221: Logbook: might crash with certain values in "Receivied" or "Sent" descriptors of QSO
Description
Some fields have flags which indicate the presence or validity of other fields. For example, COL_QSO_RCVD might indicate that the COL_QSO_RDATE is populated (or not).

While the ADIF spec has some values for these, it's apparent that nothing validates what's in user databases and we might have bogus values. Further, there's no cross-field validation. A negative presence indicator in COL_QSO_RCVD, for example, might exist when there is an actual date in COL_QSO_RDATE.

As such, we've got to defensively validate all operations against the data on every row. Doing so is inefficient, but it's the only way to guarantee the stability of the application until we can do something that helps scrub and correct bad data.
Steps To Reproduce1) Load logbook
2) Import a database with NULL value in COL_QSO_RDATE, and a 'Y' value in COL_QSO_RCVD. (Actually, anything except 'N' or 'n' will be fine in COL_QSO_RECEIVED)
3) Sort on the COL_QSO_RDATE field ("QSO Received" in the UI)
4) End up with a crash
TagsNo tags attached.
ModuleLogbook
Sub-ModuleData
TestingNot Started

Relationships

Activities

K7ZCZ

2017-08-19 16:36

viewer   ~0004058

fixed with this change set:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3785

PD9FER

2017-09-05 05:03

viewer   ~0004109

Confirm Fixed in build 783

WA9PIE

2017-09-18 00:08

administrator   ~0004209

Closed as part of the 6.4.0.787 release.

Issue History

Date Modified Username Field Change
2017-08-19 15:19 K7ZCZ New Issue
2017-08-19 15:19 K7ZCZ Assigned To => K7ZCZ
2017-08-19 15:19 K7ZCZ Status new => assigned
2017-08-19 16:36 K7ZCZ Status assigned => resolved
2017-08-19 16:36 K7ZCZ Resolution open => fixed
2017-08-19 16:36 K7ZCZ Note Added: 0004058
2017-09-01 16:41 K7ZCZ Fixed in Version => 6.4.0.782
2017-09-05 05:03 PD9FER Note Added: 0004109
2017-09-07 18:18 K7ZCZ Fixed in Version 6.4.0.782 => 6.4.0.784
2017-09-11 21:32 K7ZCZ Fixed in Version 6.4.0.784 => 6.4.0.785
2017-09-14 19:23 K7ZCZ Fixed in Version 6.4.0.785 => 6.4.0.787
2017-09-18 00:06 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-09-18 00:08 WA9PIE Note Added: 0004209
2017-09-18 00:08 WA9PIE Status resolved => closed